using System;
using System.Collections.Generic;

namespace Encompass
{
    [AttributeUsage(AttributeTargets.Class)]
    public class Emits : Attribute
    {
        public readonly List<Type> emitMessageTypes;

        public Emits(params Type[] emitMessageTypes)
        {
            this.emitMessageTypes = new List<Type>(emitMessageTypes);
        }
    }
}
